AMD gpu don't load firmware

Hi, i installed amd gpu pro drivers and firmware from GitHub - CosmicFusion/fedora-amdgpu-pro: A repository that provides the proprietary driver for fedora without having to deal with hassle of getting RHEL repo to work , and it has 32 bit libraries
After uninstalling it completly and installing amd-gpu-firmware package and rebooting, my system boot into ultra low resolution, and my DE don’t work, from tty i got that firmware wasn’t loading succesfully.

https://paste.centos.org/view/d7b7978d

Can you boot into a LiveUSB and target your / and do dnf -y distro-sync ???

Just as an aside : The ROCm drivers are in Fedora repos, What more did you need from AMD ?

dnf search rocm
Last metadata expiration check: 0:18:56 ago on Tue 13 Feb 2024 10:44:28 AM EST.
======= Name & Summary Matched: rocm =========
rocm-clinfo.x86_64 : ROCm OpenCL platform and device tool
rocm-comgr.x86_64 : AMD ROCm LLVM Code Object Manager
rocm-comgr-devel.x86_64 : AMD ROCm LLVM Code Object Manager
rocm-device-libs.x86_64 : AMD ROCm LLVM bit code libraries
rocm-hip.x86_64 : ROCm HIP platform and device tool
rocm-hip-devel.x86_64 : ROCm HIP development package
rocm-opencl.x86_64 : ROCm OpenCL platform and device tool
rocm-opencl-devel.x86_64 : ROCm OpenCL development package
rocm-runtime.x86_64 : ROCm Runtime Library
rocm-runtime-devel.x86_64 : ROCm Runtime development files
rocm-smi.x86_64 : ROCm System Management Interface Library
rocm-smi.noarch : AMD ROCm System Management Interface
rocm-smi-devel.x86_64 : ROCm SMI Library development files
rocminfo.x86_64 : ROCm system info utility

@tokariew According to the Repo maintainer this repo has been deprecated since Fedora 36. . .

Referencing a way to install the driver now :

https://repo.radeon.com/rocm/rhel9/5.6/

I think i was trying to use amf encoder, and some hipblas things from AMD stack, which are still not in repo.

Was able to repair with dnf reinstall kernel* via ssh

rocm-hip.x86_64 : ROCm HIP platform and device tool
rocm-hip-devel.x86_64 : ROCm HIP development package

Is the package you need only distributed with the Official AMDGPU-PRO driver?